
package de.ivu.elect.presentation.verteilung.table;

import java.util.Locale;

import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;
import de.ivu.elect.presentation.table.DefaultColumnEntry;
import de.ivu.elect.presentation.verteilung.VerteilungBerechnenViewTeilnehmerErgebnis;

public class VerteilungBerechnenViewTeilnehmerErgebnisAnzahlStimmenColumn extends DefaultColumnEntry<VerteilungBerechnenViewTeilnehmerErgebnis> {

  private static final long serialVersionUID = 1L;

  public VerteilungBerechnenViewTeilnehmerErgebnisAnzahlStimmenColumn(Messages messages, Locale locale) {
    super("VerteilungBerechnenViewTeilnehmerErgebnisAnzahlStimmenColumn", messages, "VerteilungBerechnenViewTeilnehmerErgebnisAnzahlStimmenColumn.header", ColumnType.LONG, teilnehmerErgebnis -> {
      long anzahlStimmen = teilnehmerErgebnis.getAnzahlStimmen();

      if (anzahlStimmen < 0L) {
        return null; // null -> KEIN Wert bspw. bei Summenzeilen!!!
      }

      return anzahlStimmen;
    });
  }
}
